.form-container {
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
    padding: 40px;
    background-color: #f0f0f0;
    border-radius: 8px;
    box-shadow: 0px 10px 20px 0px rgba(0, 0, 0, 0.15);
    font-family: "Open Sans", sans-serif;
    margin-bottom: 40px;
    margin-top: 100px;
}

.form-container h2 {
    text-align: center;
    margin-bottom: 30px;
    color: #000000;

}

.form-group {
    margin-bottom: 25px;
    line-height: 1.5;
}

.form-group label {
    display: block;
    margin-bottom: 8px;
    font-family: "Roboto Slab", serif;
    font-weight: bold;
}

input:focus,
textarea:focus,
button:focus {
    outline: none;
    border: 2px solid #007bff;
    box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);

}

.form-group input {
    width: 95%;
    padding: 15px;
    border: 1px solid #afafaf;
    border-radius: 8px;
    font-family: "Open Sans";
    min-height: 25px;
    resize: none;
}

.form-group textarea {
    width: 95%;
    padding: 15px;
    border: 1px solid #afafaf;
    border-radius: 8px;
    font-family: "Open Sans";
    min-height: 25px;
    resize: none;
    overflow-y: hidden;
}

.form-group select {
    width: 100%;
    padding: 11px;
    border: 1px solid #afafaf;
    border-radius: 8px;
    font-family: "Open Sans";
    min-height: 25px;
    resize: none;
    overflow-y: hidden;
    box-sizing: border-box;
}


button[type="button"] {
    width: 101.5%;
    padding: 15px;
    background-color: white;
    color: black;
    border: 1px solid #afafaf;
    border-radius: 8px;
    font-size: 1, 2em;
    cursor: pointer;
    text-align: center;
    transition: color .2s, background-color .2s;
    font-family: "Open Sans";
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;

}

button[type="button"]:hover {
    color: white;
    background-color: #ac0e39;
}

.button-content[type="button"] {
    display: flex;
    align-items: center;
    color: black;
    padding: 8px 14px;
    text-decoration: none;
    font-size: 1, 2em;
    font-family: "Open Sans";
    cursor: pointer;
}

#ticketForm .input-error,  #createAccount .input-error, #loginAccount .input-error{
    border: 2px solid #ac0e39;
}

.error-message {
    color: #ac0e39;
    font-size: 1em;
    margin-top: 5px;
}
.error-message.visible {
    display: block;
}

.success-message {
    color: green;
    font-size: 1em;
    margin-top: 5px;
}
.success-message.visible {
    display: block;
}

@media only screen and (max-width: 359px) {
    .create-count, .login-count{
    display: block;
    }
    .create-count img, .login-count img{
        margin: 20px auto 15px auto;
    }

    .form-container {
        min-width: 100px;
        max-width: 200px;
    }
    .form-group{
        width: 89%;
    }
    .form-group select {
        width: 113%;
    }
}


@media only screen and (min-width: 360px) and (max-width: 499px) {
    .form-container {
        width: auto;
        max-width: 300px;
        margin: 0 auto;
        padding: 10px;
        margin-bottom: 30px;
        margin-top: 60px;
    }
    .form-container h2 {
        text-align: center;
        font-size: 1.2em;
        margin-bottom: 15px;
    }

    .form-group {
        margin-bottom: 15px;
    }

    .form-group label {
        display: block;
        margin-bottom: 5px;
        font-size: 1em;
    }

    .form-group input {
        width: 94%;
        padding: 8px;
        font-size: 1em;
        border: 1px solid #ccc;
        border-radius: 5px;
    }

    .form-group select {
        font-size: 1em;
    }

    .form-group textarea {
        width: 100%;
        padding: 10px;
        font-size: 1em;
        border: 1px solid #ccc;
        border-radius: 5px;
        height: 43px;
        line-height: 1.5;
        box-sizing: border-box
    }

    button#ticket.dynamic-button {
        width: 100%;
        padding: 10px;
        font-size: 1em;
        margin-top: 10px;
    }

    button#ticket.dynamic-button {
        width: 100%;
        padding: 10px;
        font-size: 1em;
        margin-top: 10px;
    }

    a#login.dynamic-button.dynamic-button-w {
        width: 97%;
        padding: 5px;
        font-size: 1em;
        margin-top: 10px;
    }

    a#create.dynamic-button.dynamic-button-w {
        width: 96%;
        padding: 5px;
        font-size: 1em;
        margin-top: 10px;
        margin-bottom: 10px;
    }



}

@media only screen and (min-width: 500px) and (max-width: 579px) {

    .form-container {
        width: 100%;
        max-width: 300px;
        margin: 0 auto;
        padding: 10px;
        margin-bottom: 30px;
        margin-top: 80px;
    }

    .form-container h2 {
        text-align: center;
        font-size: 1.2em;
        margin-bottom: 15px;
    }

    .form-group {
        margin-bottom: 15px;
    }

    .form-group label {
        display: block;
        margin-bottom: 5px;
        font-size: 1em;
    }

    .form-group input {
        width: 94%;
        padding: 8px;
        font-size: 1em;
        border: 1px solid #ccc;
        border-radius: 5px;
    }

    .form-group select {
        font-size: 1em;
    }

    .form-group textarea {
        width: 100%;
        padding: 10px;
        font-size: 1em;
        border: 1px solid #ccc;
        border-radius: 5px;
        height: 43px;
        line-height: 1.5;
        box-sizing: border-box
    }

    button#ticket.dynamic-button {
        width: 100%;
        padding: 10px;
        font-size: 1em;
        margin-top: 10px;
    }

    button#ticket.dynamic-button {
        width: 100%;
        padding: 10px;
        font-size: 1em;
        margin-top: 10px;
    }

    a#login.dynamic-button.dynamic-button-w {
        width: 97%;
        padding: 5px;
        font-size: 1em;
        margin-top: 10px;
    }

    a#create.dynamic-button.dynamic-button-w {
        width: 96%;
        padding: 5px;
        font-size: 1em;
        margin-top: 10px;
        margin-bottom: 10px;
    }

}

@media only screen and (min-width: 580px) {
    .form-container {
        max-width: 500px;
        padding: 40px;
        margin-top: 100px;
        margin-bottom: 40px;
    }

    .form-container h2 {
        font-size: 1.5em;
        margin-bottom: 30px;
    }

    .form-group {
        margin-bottom: 25px;
    }

    .form-group label {
        margin-top: 8px;
        margin-bottom: 8px;
        font-size: 1em;
    }

    .form-group input,
    .form-group textarea {
        padding: 15px;
        border-radius: 8px;
    }

    input[type="password"] {

        width: 95%;
        padding: 15px;
        border-radius: 8px;
        font-size: 1em;
    }

    .form-group select {
        width: 101.5%;
        padding: 15px;
        font-size: 1em;
        border-radius: 8px;
        padding-top: 18px;
        padding-bottom: 18px;

    }

    .form-group textarea {
        min-height: 25px;
        height: auto;
    }

    button#ticket.dynamic-button,
    a#login.dynamic-button.dynamic-button-w,
    a#create.dynamic-button.dynamic-button-w {
        margin-top: 0;
    }

    a#login.dynamic-button.dynamic-button-w,
    a#create.dynamic-button.dynamic-button-w {
        display: inline-block;
        text-align: center;
    }

    a#create.dynamic-button.dynamic-button-w {
        margin-bottom: 0;
    }


}
